GET
/plugins Returns information about installed plugins.
Connection and access
API connection and authentication guidance
/v1.57
No HTTP authentication requirement is declared for this operation. Transport access controls can still apply.
Parameters
filters
query
A JSON encoded value of the filters (a map[string][]string) to
process on the plugin list.
Available filters:
capability=<capability name>enable=<true>|<false>
Type:
string
All schema constraints and annotations
{
"type": "string"
}Request and responses
Response
200
No error
application/json
Type:
array
Array item
Schema:
Plugin
All schema constraints and annotations
{
"items": {
"$ref": "#/components/schemas/Plugin"
},
"type": "array"
}Response
500
Server error
application/json
Schema:
ErrorResponse
Schema example
{
"message": "Something went wrong."
}Referenced schemas
#/components/schemas/ErrorResponse
Complete operation contract
{
"description": "Returns information about installed plugins.",
"operationId": "PluginList",
"parameters": [
{
"description": "A JSON encoded value of the filters (a `map[string][]string`) to\nprocess on the plugin list.\n\nAvailable filters:\n\n- `capability=\u003ccapability name\u003e`\n- `enable=\u003ctrue\u003e|\u003cfalse\u003e`\n",
"in": "query",
"name": "filters",
"schema": {
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"items": {
"$ref": "#/components/schemas/Plugin"
},
"type": "array"
}
}
},
"description": "No error"
},
"500": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "Server error"
}
},
"summary": "List plugins",
"tags": [
"Plugin"
]
}